Name: SilverCity
Summary: Python interface to Scintilla lexers
Version: 0.9.7
Release: 1
License: BSD-style
Group: Development/Libraries
Url: http://silvercity.sourceforge.net

Packager: Kim, Yong Woo <academic@dreamaze.org>
Vendor: KLDP.net, http://kldp.net/

Source: http://downloads.sourceforge.net/silvercity/%{name}-%{version}.tar.gz
Patch: path.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gcc-c++, python-devel, dos2unix

%description
SilverCity is a lexing package, based on Scintilla, that can provide lexical
analysis for over 20 programming and markup langauges. Included in the package
are modules to convert source code to syntax-styled HTML.

%prep
%setup
%patch -p1 -b .path
find -type f | xargs dos2unix

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# move to right place
%{__mkdir_p} $RPM_BUILD_ROOT/%{_localstatedir}/www/cgi-bin
%{__mv} $RPM_BUILD_ROOT%{_bindir}/cgi* $RPM_BUILD_ROOT/%{_localstatedir}/www/cgi-bin

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README.txt LICENSE.txt PySilverCity/Docs/*
%{_localstatedir}/www/cgi-bin/cgi-*
%{_bindir}/*
%{_libdir}/python?.?/site-packages/SilverCity

%changelog
* Fri May 18 2007 Kim, Yong Woo <academic@dreamaze.org> - 0.9.7-1
- Updated to release 0.9.7.

* Tue Oct 18 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.9.5-3
- dos2unix

* Tue Oct 18 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.9.5-2
- #! fix

* Fri Oct 14 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.9.5-1
- new package

